Bug 244826 - security/py-[acme|certbot]: Update to 1.3.0
Summary: security/py-[acme|certbot]: Update to 1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://github.com/certbot/certbot/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-15 15:03 UTC by Danilo G. Baio
Modified: 2020-03-18 00:27 UTC (History)
2 users (show)

See Also:


Attachments
py-acme-certbot-1.3.0.patch (11.76 KB, patch)
2020-03-15 15:03 UTC, Danilo G. Baio
no flags Details | Diff
py-acme-certbot-1.3.0-v02.patch (14.40 KB, patch)
2020-03-17 23:48 UTC, Danilo G. Baio
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-03-15 15:03:34 UTC
Created attachment 212429 [details]
py-acme-certbot-1.3.0.patch
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-16 07:37:32 UTC
Thanks for the patch. Can you confirm this change passes QA please (poudriere and make test)
Comment 2 Danilo G. Baio freebsd_committer 2020-03-16 12:50:49 UTC
(In reply to Kubilay Kocak from comment #1)

thanks for your time koobs.

poudriere are fine. [amd64, i386], [11, 12, current]

make test:
security/py-acme is fine

security/py-certbot has only this error:
FAILED tests/cli_test.py::FlagDefaultTest::test_default_directories - AssertionError: '/usr/local/etc/letsencrypt' != '/etc/letsencrypt'

what is the best approach? just ignore or patch the test file?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-17 01:31:06 UTC
(In reply to Danilo G. Baio from comment #2)

This looks like up stream issue https://github.com/certbot/certbot/issues/7552

If its just a 'test' error, we can defer the fix (but it should be resolved. If letsencrypt at run time is writing or reading stuff from /etc, whereas the data (such as certs) is being written somewhere else, causing functionality issues, we should resolve it in this update
Comment 4 Danilo G. Baio freebsd_committer 2020-03-17 23:48:06 UTC
Created attachment 212480 [details]
py-acme-certbot-1.3.0-v02.patch

It is just a 'test' error.

This adds patch to satisfy the test, based on our in-tree patch-certbot-compat-misc.py.

sunpoet sent patch-certbot-compat-misc.py upstream:
https://github.com/certbot/certbot/commit/7fe82cf1ac4c6e40ab4a21a5a8822db200cb28ad

but later it got reverted:
https://github.com/certbot/certbot/commit/3888bc8f2ab39dca00b83deafab904cbe4aa8708
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-18 00:00:11 UTC
Comment on attachment 212480 [details]
py-acme-certbot-1.3.0-v02.patch

Approved by: koobs (python, maintainer)

Please add a comment header to the patched file with a description of the issue and link to upstream issue reference for our future selves
Comment 6 commit-hook freebsd_committer 2020-03-18 00:22:12 UTC
A commit references this bug:

Author: dbaio
Date: Wed Mar 18 00:22:04 UTC 2020
New revision: 528616
URL: https://svnweb.freebsd.org/changeset/ports/528616

Log:
  security/py-[acme|certbot]: Update to 1.3.0

  Add patch to satisfy a 'test' error, our local patch to fix config
  file path was reverted upstream, we need some action there.

  Changelog:	https://github.com/certbot/certbot/releases/tag/v1.3.0

  PR:		244826
  Approved by:	koobs (python, maintainer)

Changes:
  head/security/py-acme/Makefile
  head/security/py-acme/distinfo
  head/security/py-acme/version.mk
  head/security/py-certbot/Makefile
  head/security/py-certbot/distinfo
  head/security/py-certbot/files/patch-certbot-compat-misc.py
  head/security/py-certbot/files/patch-tests_cli__test.py
  head/security/py-certbot-apache/distinfo
  head/security/py-certbot-dns-cloudflare/distinfo
  head/security/py-certbot-dns-cloudxns/distinfo
  head/security/py-certbot-dns-digitalocean/distinfo
  head/security/py-certbot-dns-dnsimple/distinfo
  head/security/py-certbot-dns-dnsmadeeasy/distinfo
  head/security/py-certbot-dns-gehirn/distinfo
  head/security/py-certbot-dns-google/distinfo
  head/security/py-certbot-dns-linode/distinfo
  head/security/py-certbot-dns-luadns/distinfo
  head/security/py-certbot-dns-nsone/distinfo
  head/security/py-certbot-dns-ovh/distinfo
  head/security/py-certbot-dns-rfc2136/distinfo
  head/security/py-certbot-dns-route53/distinfo
  head/security/py-certbot-dns-sakuracloud/distinfo
  head/security/py-certbot-nginx/distinfo
Comment 7 Danilo G. Baio freebsd_committer 2020-03-18 00:27:07 UTC
thanks koobs